Retrieve Exchange Rate

Retrieve Exchange Rate

POST https://sandbox.transfersmile.com/api/payout/exchange-rate

This endpoint allows you to retrieve the exchange rate.

Headers

Name
Type
Description

Content-Type*

string

application/json; charset=UTF-8

AppId*

string

Get AppId from dashboard

Authorization*

string

signature, generated by SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

method

string

Method - Fixed value: QRCODE -

source_currency

string

Merchant Account Currency - Fixed value: USD -

arrival_currency

string

Beneficiary Currency - Fixed value: BRL -

timestamp

Integer

unix timestamp, e.g. 1628512575

{
  "code": 200,
  "msg": "success",
  "time": 1642076131,
  "data": {
    "source_currency": "USD",
    "arrival_currency": "BRL",
    "exchange_rate": "6.987234",
    "exchange_rate_id": "ERxxxxxxxxxx",
    "expired_at": 1642076131
  }
}

Example

circle-info

Note: 94FAC*********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID.

Last updated